<?php
/*
 * How to get the currently activated payment methods for the Orders API.
 */

try {
    /*
     * Initialize the Mollie API library with your API key.
     *
     * See: https://www.mollie.com/dashboard/developers/api-keys
     */
    //require "../initialize.php";
    require_once _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_mollie/classes/library/vendor/mollie/mollie-api-php/examples/initialize.php';

    /*
     * Get all the activated methods for this API key.
     * To get methods that are compatible with the Orders API
     * we are passing the 'resource' parameter.
     */
    $options = [
        'resource' => 'orders',
        'locale' => 'de_DE',
        'amount' => [
            'currency' => 'EUR',
            'value' => number_format(500.02, 2, '.', '' )
        ]
    ];
    $methods = $mollie->methods->allActive($options);
    foreach ($methods as $method) {
        echo '<div style="line-height:40px; vertical-align:top">';
        echo '<a href="/?moc&method='.$method->id.'"><img src="' . htmlspecialchars($method->image->size1x) . '" srcset="' . htmlspecialchars($method->image->size2x) . ' 2x">';
        echo htmlspecialchars($method->description) . ' (' . htmlspecialchars($method->id) . ') </a>';
        echo '</div>';
    }
} catch (\Mollie\Api\Exceptions\ApiException $e) {
    echo "API call failed: " . htmlspecialchars($e->getMessage());
}
